﻿using CsvHelper;
using System;
using System.IO;
using System.Text;
using TinyCsvParser;

namespace CSV.LamondTestSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //LoadWithCSVHelper();
            LoadwithTinyCSVParser();
        }

        static void LoadWithCSVHelper()
        {
            using (TextReader reader = new StreamReader("sample.txt"))
            {
                var csvReader = new CsvReader(reader);
                var records = csvReader.GetRecords<Automobile>();

                foreach (var r in records)
                {
                    Console.WriteLine(r.ToString());
                }
            }
        }

        static void LoadwithTinyCSVParser()
        {
            CsvParserOptions csvParserOptions = new CsvParserOptions(true, ',');
            var csvParser = new CsvParser<Automobile>(csvParserOptions, new CsvAutomobileMapping());
            var records = csvParser.ReadFromFile("sample.txt", Encoding.UTF8);

            foreach (var r in records)
            {
                if (r.IsValid)
                {
                    Console.WriteLine(r.Result.ToString());
                }
                
            }
        }
    }
}
